System.ServiceModel 4.0.0.0

Implement to inspect or modify inbound or outbound application messages either prior to dispatching a request message to an operation or before returning a reply message to a caller. There are a large number of scenarios that require intercepting messages prior to invoking the operation for which it is destined. For example, you can log incoming application messages or perform some feature based on a message header.

Typically, message inspectors are inserted by a service behavior (), an endpoint behavior (), or a contract behavior (). The behavior then adds the message inspector to the collection. For more information about extending the runtime using behaviors, see Extending ServiceHost and the Dispatcher.

The method enables custom behavior after receiving the message but before dispatching it to the intended operation.

The method enables custom behavior after the operation returns but before the reply is sent.

objects are always called at the same point during message dispatch regardless of whether an operation is one-way or request-reply.

Defines the methods that enable custom inspection or modification of inbound and outbound application messages in service applications.

- Method
  4.0.0.0
  System.Object `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.